import request from '@/utils/request'

// 查询博雅集 Archives Unbound（Gale）列表
export function listArchivesUnbound(query) {
  return request({
    url: '/vr/archivesUnbound/pageList',
    method: 'get',
    params: query
  })
}

// 查询博雅集 Archives Unbound（Gale）详细
export function getArchivesUnbound(id) {
  return request({
    url: '/vr/archivesUnbound/' + id,
    method: 'get'
  })
}

// 新增博雅集 Archives Unbound（Gale）
export function addArchivesUnbound(data) {
  return request({
    url: '/vr/archivesUnbound',
    method: 'post',
    data: data
  })
}

// 修改博雅集 Archives Unbound（Gale）
export function updateArchivesUnbound(data) {
  return request({
    url: '/vr/archivesUnbound',
    method: 'put',
    data: data
  })
}

// 删除博雅集 Archives Unbound（Gale）
export function delArchivesUnbound(id) {
  return request({
    url: '/vr/archivesUnbound/' + id,
    method: 'delete'
  })
}
